body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;
    background: #f0f0f0;
    color: #444;
    padding: .25em;
    border-radius: 4px;
}

.App {
    text-align: center;
    min-height:100vh;
    overflow: scroll;
    padding-bottom: 290px;
    background-color:#282c34;
}

.lorem {
    text-align:justify;
    width: 100%;
    padding: 20;
    margin: 20;
    background-color: white;
    color: black;
    border-radius: 10px;
    overflow-wrap: break-word;
    white-space: wrap !important;
}

.App-main {
    padding:20px 120px 20px 120px;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    color: black;
}

.App-logo {
    height: 10vmin;
    padding-top:10px;
    pointer-events: none;
}

.App-loading-logo {
  height: 10vmin;
  padding-top:10px;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-loading-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
    /*  background-color: #282c34;*/
    min-height: 10vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: calc(10px + 2vmin);
    color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.logo {
    height: 60;
}

.logo-small {
    height: 30;
}

.footer-container {
    position:fixed !important;
    border-top-left-radius:8px;
    border-top-right-radius:8px;
    bottom: 0;
    width:100%;
    padding: 0;
    min-height: 40px;
    background-color: #31837a;
    color: white;
    text-align:center;
}

.footer {
    border-top-left-radius:8px;
    border-top-right-radius:8px;
    padding: 0;
}

.footer-expand-collapse {
    border-top-left-radius:8px;
    border-top-right-radius:8px;
    background-color: #31837a; 
    border: solid 1px #31837a; 
    height:28px;
    width:100px;
    margin-top:-24px;
    font-size:18px;
    cursor:pointer;
    text-align:center;
}

.footer-grip-icon {
    width: 18px;
    vertical-align:middle;
}

.footer-views {
    width:100%;
    border-radius:5px;
    height: calc(100% - 24px);
}

.footer-view {
    padding:8;
}

.footer-view-content {
    background:#282c34;
    padding:0;
    color:white;
    border-radius: 8px;
    height:100%;
}

.footer-icons-container {
    position:fixed;
    bottom: 2 !important;
    left: 0;
    width: 100%;
    font-size:20px;
}

.footer-icons {
    display:flex;
    flex-direction: row;
    justify-content: space-around;
    padding-right:8px;
    color:white;
}

.footer-view {
    padding:8;
}

.ficon-selected {
    color:blue;
}
.ficon {
    cursor:pointer;
}

.ficon-title {
    font-size:10px;
}
.appStyle {
    height: 250;
    display: flex;
}

.no-msgs {
    padding:8;
    font-style:italic;
    color:gray;
}

.quebicStyle {
    height: calc(100% - 32px);
    overflow: scroll;
    color: black;
}

.selectorStyle {
    position: absolute;
    top: 8px;
    left: 6px;
    bottom: 42px;
    padding: 0px 10px 10px 10px;
    border: 1px solid #c9c9c9;
    border-radius: 10px;
    background: #f5f5f5;
    width: 220px;
}

.msgListStyle {
    position: absolute;
    top: 8px;
    left: 252px;
    right: 6px;
    height: calc(100% - 94px);
    overflow: scroll;
    text-align: left;
    /* quebic light */
/*    background-color: #31837a; */
    background: #f5f5f5;
    border: 1px solid #c9c9c9;
    border-radius: 10px;
}

.newMsgStyle {
    position: absolute;
    text-align: left;
    bottom: 42px;
    left: 252px;
    right: 6px;
    height: 40px;
    background: #f5f5f5;
    border: 1px solid #c9c9c9;
    border-radius: 10px;
}

.fileInput {
    display: none;
}

.fileButtonImg {
    height: 28px;
}

.fileButton {
    cursor: pointer;
    color: white;
    backgroundColor: black;
    padding: 0px;
}

.headerStyle {
    width: 100%;
    text-lign: center;
    font-weight: bold;
    color: black;
    display: block;
    margin: 0;
}

.selectStyle {
    margin: 10px 0 0 0;
    width: 100%;
    font-size: 14px;
    padding: 4px;
}

.logout {
    font-size: 30px;
    color: white;
    float: right;
}

.userConfig {
    display:flex;
    width:50%;
    flex-direction: row;
    justify-content: space-around;
    flex-wrap: wrap;
}

.labelStyle {
    color:white;
    flex:45%;
    padding:4;
    border: none;
    box-sizing: border-box;
    outline: none;
}

.valueStyle {
    color:white;
    flex:45%;
    padding:4;
    border: none;
    box-sizing: border-box;
    outline: none;
}

.inputStyle {
    flex:45%;
    padding:4;
    color:black;
    height: 32px;
    border: none;
    border-radius: 5px;
    color: #333;
    font-size: 14px;
    box-sizing: border-box;
    outline: none;
}

.user {
    text-align:left;
}

.user-btn {
    margin: 10px 0 0 0;
    padding: 0; /*7px 10px;*/
    border: 0px solid white;
    font-size: 20px;
    background-color: white;
    cursor: pointer;
    color: black;
}

.logout-btn {
    margin: 10px 10px 0 0;
    padding: 4; /*7px 10px;*/
    border: 1px solid #efffff;
    border-radius: 5px;
    font-size: 20px;
    cursor: pointer;
    background-color: #1d4b47;
    color: white;
}

.update-btn {
    margin: 10px 10px 0 0;
    padding: 8;
    border: 1px solid #efffff;
    border-radius: 5px;
    font-size: 20px;
    cursor: pointer;
    background-color: #1d4b47;
    color: white;
}

.rce-button {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    border-radius: 5px;
    cursor: pointer;
    padding: 8px;
    text-align: center;
    box-sizing: border-box;
    background: #3979aa;
    color: white;
    transition: all 0.15s ease;
    user-select: none;
    border: none;
    outline: none;
    border: none;
    position: relative;
}

.rce-button-icon--container {
    display: flex;
    align-items: center;
}

.rce-button:hover {
    opacity: 0.8;
}

.rce-button:active {
    opacity: 0.6;
}

.rce-button.outline {
    background: rgba(0, 0, 0, 0) !important;
    border: 1px solid #3979aa;
    color: #3979aa;
}

.rce-button.outline:hover {
    opacity: 0.6;
}

.rce-button.outline:active {
    opacity: 0.3;
}

.rce-button.transparent {
    background: rgba(0, 0, 0, 0) !important;
}

.rce-button.transparent:hover {
    opacity: 0.6;
}

.rce-button.transparent:active {
    opacity: 0.3;
}

.rce-button-icon {
    position: relative;
    font-size: 18px;
    display: flex;
    padding: 0 3px;
}

.rce-button-badge{
    border-radius: 4px;
    padding: 4px;
    background: #f64b34;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: -7px;
    top:-7px;
    font-size: 10px;
}

.rce-button.circle {
    min-width: 35px;
    min-height: 35px;
    border: 1px solid #3979aa;
    border-radius: 100%;
}

.rce-container-input {
    display: flex;
    min-width: 100%;
    box-sizing: border-box;
    flex-direction: row;
    background: #fff;
    align-items: center;
    border-radius: 5px;
}

.rce-input {
    flex: 1;
    height: 40px;
    padding: 0 5px;
    border: none;
    border-radius: 5px;
    color: #333;
    font-size: 14px;
    box-sizing: border-box;
    outline: none;
}

.rce-input-textarea {
    height: 37px;
    padding: 10px 5px;
    resize: none;
}

.rce-input-buttons {
    display: flex;
    flex-direction: row;
    margin: 5px;
}

.rce-input-buttons > * {
    display: flex;
    flex-direction: row;
}

.rce-input-buttons .rce-button:nth-child(even) {
    margin-left: 5px;
    margin-right: 5px;
}

.rce-input-buttons .rce-button:last-child {
    margin-right: 0;
}

.rce-left-padding {
    padding-left: 10px;
    padding-right: 0px !important;
}

.rce-right-padding {
    padding-right: 10px;
    padding-left: 0px !important;
}

.rce-input::placeholder {
    color: #afafaf;
}


.rce-container-clist {
    display: block;
    overflow: auto;
}

.rce-container-citem {
    flex-direction: column;
    display: block;
    overflow: hidden;
    min-width: 240px;
}

.rce-container-citem.rce-citem-status-encircle {
    position: relative;
}

.rce-citem {
    position: relative;
    background: white;
    display: flex;
    flex-direction: row;
    min-height: 72px;
    cursor: pointer;
    user-select: none;
    max-width: 100%;
    overflow: hidden;
    min-width: 240px;
}

.rce-citem:hover {
    background: #f9f9f9;
}

.rce-citem-avatar {
    position: relative;
    padding: 0 15px 0 13px;
    justify-content: center;
    display: flex;
    align-items: center;
}

.rce-citem-status {
    width: 20px;
    height: 20px;
    bottom: 10px;
    right: 10px;
    position: absolute;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ccc;
}

.rce-citem-avatar.rce-citem-status-encircle .rce-citem-status {
    left:0;
    right:0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: transparent;
    margin: auto;
    border-radius: 100%;
}

.rce-citem-avatar img {
    width: 50px;
    height: 50px;
    border: none !important;
    background: #ccc;
    border-radius: 100%;
    overflow: hidden;
    font-size: 10px;
    text-align: center;
    line-height: 50px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.rce-citem-body {
    display: flex;
    flex: 1;
    flex-direction: column;
    justify-content: center;
    padding-right: 15px;
    border-bottom: 1px solid rgba(0,0,0,.05);
    overflow: hidden;
}

.rce-citem-body--top {
    display: flex;
}

.rce-citem-body--bottom {
    margin-top: 4px;
    display: flex;
}

.rce-citem-body--bottom-title, .rce-citem-body--top-title {
    flex: 1;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.rce-citem-body--top-title {
    font-size: 16px;
}

.rce-citem-body--bottom-title {
    color: #555;
    font-size: 15px;
}

.rce-citem-body--top-time {
    font-size: 12px;
    color: rgba(0,0,0,0.4)
}

.rce-citem-body--bottom-status {
    margin-left: 3px;
}

.rce-citem-body--bottom-status span {
    width: 18px;
    height: 18px;
    font-size: 12px;
    color: white;
    font-weight: bold;
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
    border-radius: 100%;
    background: red;
}

.rce-citem-body--bottom-tools {
    align-items: center;
    justify-content: center;
    flex-direction: row;
    display: flex;
    height: 0;
    opacity: 0;
    position: absolute;
    left: -999px;
    transition: height .5s ease, opacity 1s ease;
}

.rce-citem:hover .rce-citem-body--bottom-tools {
    height: 100%;
    opacity: 1;
    position: relative;
    left: 0;
}

.rce-citem-body--bottom-tools-item-hidden-hover {
    height: 100%;
    opacity: 0.3;
    transition: .5s ease;
}

.rce-citem:hover .rce-citem-body--bottom-tools-item-hidden-hover {
    height: 0;
    opacity: 0;
    position: absolute;
    left: -999px;
    transition: .5s ease;
}

.rce-citem-body--bottom-tools-item {
    width: 18px;
    height: 18px;
}

.rce-citem-body--bottom-tools-item svg {
    width: 18px;
    height: 18px;
    fill: #575757;
}

/*!
 *
 * jQuery File Browser - directory browser jQuery plugin version 0.8.4
 *
 * Copyright (c) 2016-2021 Jakub T. Jankiewicz <https://jcubic.pl/me>
 * Released under the MIT license
 *
 * Date: Sun, 09 May 2021 10:14:37 +0000
 */
.browser-widget.hidden, .browser-widget .hidden {
    visibility: hidden;
}
.browser-widget ul:not(.ui-menu) {
    list-style: none;
    margin: 0;
    padding: 0;
}
.browser-menu {
    float: left;
    position: absolute;
    z-index: 99999999;
}
.browser-widget li[draggable] {
  /* Required to make elements draggable in old WebKit */
  -khtml-user-drag: element;
  -webkit-user-drag: element;
}
.browser-widget ul:not(.ui-menu) > li {
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    padding-top: 32px;
    text-align: center;
    margin: 5px;
    word-break: break-word;
    vertical-align: top;
    width: 40px;
}
.browser-widget ul:not(.ui-menu) > li, .browser-widget.no-select * {
    -khtml-user-select: none;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;          /* Likely future */
}
.browser-widget {
    font-family: sans-serif;
    font-size: 12px;
    border-top-left-radius:8px;
    border-top-right-radius:8px;
}
.browser-widget .toolbar {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    background: #6b6b6b !important;
    background: #282c34 !important;;
    width: calc(100%-16px);
    padding:8px;

    background: -moz-linear-gradient(top, #6b6b6b 0%, #262626 100%);
    background: -webkit-linear-gradient(top, #6b6b6b 0%,#262626 100%);
    background: linear-gradient(to bottom, #6b6b6b 0%,#262626 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6b6b6b', endColorstr='#262626',GradientType=0 );

    color: white;

}
.browser-widget .toolbar ul:not(.labels) li {
    text-indent: -99999px;
}
.browser-widget ul:not(.ui-menu) > li::before, .browser-widget .address-bar button {
    background: transparent url(icons.svg) no-repeat;
}

.browser-widget .toolbar i {
    width: 24px;
    height: 24px;
    font-size: 18px;
    padding: 4px 4px 0px 4px;
}

.browser-widget .toolbar i:not(.disabled):hover::before {
    color: #0b93d5;
    cursor: pointer;
}
.browser-widget .address-bar i {
    width: 24px;
    height: 24px;
    font-size: 16px;
}

.browser-widget .address-bar i:not(.disabled):hover::before {
    color: #0b93d5;
    cursor: pointer;
}

/*
.browser-widget .address-bar button {
    text-indent: -99999px;
    width: 24px;
    height: 24px;
    border: none;
    background-position: -64px -128px;
    cursor: pointer;
    outline: none;
}
*/

.disable-select {
  -webkit-user-select: none;  
  -moz-user-select: none;    
  -ms-user-select: none;      
  user-select: none;
}

.browser-widget .address-bar input {
    width: calc(100% - 60px);
    border: none;
    margin-left:8px;
    padding: 8px 8px 8px 8px;
    box-sizing: border-box;
    border-radius: 8px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    font-size:16px;
}
.browser-widget .content {
    overflow: auto;
    width:100%;
    height: calc(100% - 88px);
    position: relative;
    background-color:white;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    
}
.browser-widget .content .selection {
    border: 1px dotted #000;
    position: absolute;
}
.browser-widget .content ul:not(.ui-menu) li.selected::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    background: #0b93d5;
}
.browser-widget .content ul:not(.ui-menu) li {
    border: 1px solid transparent;
}
.browser-widget .content ul:not(.ui-menu) li span {
/*    cursor: text;*/
    overflow-wrap: break-word;
}
.browser-widget .content ul:not(.ui-menu) li textarea {
    width: 100%;
    resize: vertical;
    box-sizing: border-box;
    border: none;
    position: relative;
    top: 2px;
    outline: none;
    text-align: center;
    overflow: hidden;
    min-height: 55px;
}
.browser-widget .content ul:not(.ui-menu) li.rename span,
.browser-widget .content ul:not(.ui-menu) li.new span {
    display: none;
}
.browser-widget .content ul:not(.ui-menu) li.active {
    border: 1px dotted gray;
}
.browser-widget ul:not(.ui-menu) li::before {
    display: inline-block;
    width: 32px;
    height: 32px;
/*    text-align: center;*/
    text-align: left;
    background-clip: content-box;
    content: "";
    position: absolute;
    top: 0;
    margin: auto;
    left: 0;
    right: 0;
}
.browser-widget .toolbar li:not(.disabled):hover::before {
    background-color: #0b93d5;
    cursor: pointer;
}
.browser-widget .toolbar ul:not(.labels) li {
    padding-top: 20px;
}

.browser-widget ul.labels {
    margin-top:8px;
}

.browser-widget ul.labels button{
    background:transparent;
    color:white;
    border: none;
}

.browser-widget ul.labels li.back::before {
    background-position: 0 -160px
}
.browser-widget ul.labels li.up::before {
    background-position: -32px -160px
}
.browser-widget ul.labels li.refresh::before {
    background-position: -96px -160px
}
.browser-widget .content ul:not(.ui-menu) .drive::before {
    background-position: 0 -128px;
}
.browser-widget .content ul:not(.ui-menu) .file::before {
    background-position: 0 -96px;
}
.browser-widget .content ul:not(.ui-menu) .svg::before {
    background-position: -64px 0;
}
.browser-widget .content ul:not(.ui-menu) .txt::before {
    background-position: -32px -64px;
}
.browser-widget .content ul:not(.ui-menu) .pdf::before {
    background-position: -96px -64px;
}
.browser-widget .content ul:not(.ui-menu) .php::before {
    background-position: -32px -32px;
}
.browser-widget .content ul:not(.ui-menu) .html::before {
    background-position: -64px -32px;
}
.browser-widget .content ul:not(.ui-menu) .js::before {
    background-position: -96px 0;
}
.browser-widget .content ul:not(.ui-menu) .json::before {
    background-position: -96px -32px;
}
.browser-widget .content ul:not(.ui-menu) .css::before {
    background-position: 0 -32px;
}
.browser-widget .content ul:not(.ui-menu) .doc::before,
.browser-widget .content ul:not(.ui-menu) .docx::before {
    background-position: -64px -64px;
}
.browser-widget .content ul:not(.ui-menu) .xls::before,
.browser-widget .content ul:not(.ui-menu) .xlsx::before {
    background-position: -32px -96px;
}
.browser-widget .content ul:not(.ui-menu) .ppt::before,
.browser-widget .content ul:not(.ui-menu) .pptx::before {
    background-position: -64px -96px;
}
.browser-widget .content ul:not(.ui-menu) .jpg::before,
.browser-widget .content ul:not(.ui-menu) .jpeg::before,
.browser-widget .content ul:not(.ui-menu) .gif::before,
.browser-widget .content ul:not(.ui-menu) .bmp::before,
.browser-widget .content ul:not(.ui-menu) .png::before {
    background-position: 0 -64px;
}
.browser-widget .content ul:not(.ui-menu) .md::before,
.browser-widget .content ul:not(.ui-menu) .markdown::before {
    background-position: -96px -96px;
}


/* BROWSER customizations */

.browser {
    text-align:justify;
    width: 100%;
    height: 100%;
    color: black;
    border-radius: 8px;
    padding: 0;
}

.pipe {
    color:gray;
    width:2px !important;
    margin-left:10px;
    margin-right:6px;
}

/* customization */
.browser-widget li.file,
.browser-widget li.directory {
    width: 50px;
}

.fileList {
    padding:4px 4px 4px 4px;;
    cursor:pointer;
}

table {
    border-spacing: 1px;
    width:calc(100% - 10px);
    margin: 2px;
    padding: 2px;
    overflow: hidden;
    border-collapse: collapse;
}

.browser-widget .content .fileList table tbody tr {
    background-color: white;
/*    border:solid 1px white;*/
}

.browser-widget .content .fileList table tbody tr:hover {
    background-color: #ffa;
}

td, th {
  position: relative;
}

td:hover::after,
th:hover::after {
  content: "";
  position: absolute;
  background-color: #ffa;
  left: 0;
  top: -5000px;
  height: 10000px;
  width: 100%;
  z-index: -1;
}

tr.selected {
/*    border:solid 1px pink;*/
    background-color: #1d4b47 !important;
    color:white;
}

.borderLeft {
    border-left: solid 1px gray;
    padding: 0px 4px 0px 4px;
}

.fileAttach {
/*    background-color:pink;*/
    opacity:0;
    width:1px;
}

.td-icon {
    width:24px;
}

.td-name {
    width:auto;
    text-align:left;
}

.td-size {
    width:90px;
    text-align:right;
}

.td-lastmod {
    width:220px;
    text-align:right;
}

.td-created {
    width:100px;
    text-align:right;
}

.address-home-i {
    font-size:28px !important;
    vertical-align:-4px;
}

.address-home-icon {
    position: absolute;
    top: 30px;
    left: 27px;
    width:18px;
}
